\section{Question 2}
\subsection{Point A}

To calculate  the  center  of  mass  of  the  lower limb of frame 70 of the data in Table A.2 (Appendix A), the points for the knee joint and ankle joint were attained to get the length of the leg.
autoreferring to Table 1, the center of mass along the length of the leg was determined and written in terms of the global autoreference system.

\begin{equation}
P_{knee} = [1.8097, 0.4730]^{T}
\end{equation}

\begin{equation}
P_{ankle} = [1.4928, 0.2175]^{T}
\end{equation}

\begin{equation}
L_{leg} = \sqrt{(P_{knee}(1)-P_{ankle}(1))^{2} + (P_{knee}(2)-P_{ankle}(2))^{2}} \label{eq:18} \\
\end{equation}

\begin{equation}
L_{leg_{com}} = 0.567 \times L_{leg} \label{eq:19} \\
\end{equation}

\begin{equation}
\phi_{leg} = atan2( P_{knee}(1)-P_{ankle}(1), P_{knee}(2)-P_{ankle}(2))  \label{eq:20} \\
\end{equation}

\begin{equation}
P_{leg_{com}} = [P_{ankle}(1)+L_{leg_{com}} \times cos(\phi_{leg}), P_{ankle}(2) + L_{leg_{com}} \times sin(\phi_{leg})]^{T} \label{eq:21} \\
\end{equation}

\begin{equation}
P_{leg_{com}} = [1.8487, 0.6589]^{T} m 
\end{equation}

\subsection{Point B}
In order to attain the left leg CoM coordinates at frame 30, the joint positions were estimated based off of the CoM positions of the right leg just after "Toe Off" (frame 3).
After attaining the points in frame 3, the points were translated to match the hip joint of frame 3 to frame 30 \autoref{eq:22} \autoref{eq:23}. 

\begin{equation} 
Pg_{hip_{f3}} = [0.4928; 0.7889];
\end{equation}

\begin{equation} 
Pg_{hip_{f30}} = [1.0664; 0.797 ];
\end{equation}

\begin{equation} 
Pg_{foot_{com_{f3}}} = [0.155; 0.174];
\end{equation}

\begin{equation} 
Pg_{leg_{com_{f3}}} = [0.347; 0.37];
\end{equation}

\begin{equation} 
Pg_{thigh_{com_{f3}}} = [0.489; 0.653];
\end{equation}

\begin{equation} 
Pg_{HAT_{com_{f3}}} = [0.473; 1.08];
\end{equation}

\begin{equation} 
P_{i_{com_{f3}}} = Pg_{i_{com_{f3}}} - Pg_{hip_{f3}} \label{eq:22} \\
\end{equation}

\begin{equation} 
r_{translate} = Pg_{hip_{f30}}
\end{equation}

\begin{equation} 
P_{left_{i_{f30}}} = P_{i_{com_{f3}}} + r_{translate}  \label{eq:23} \\
\end{equation}

Finally the CoM's were obtained from Table 1, and the total CoM location was calculated for each body half \autoref{eq:24} and then averaged to attain a single value \autoref{eq:25} \autoref{eq:26}.
\begin{equation} 
m_{HAT} = 0.678 \times m_{total}
\end{equation}

\begin{equation} 
m_{thigh} = 0.100 \times m_{total}
\end{equation}

\begin{equation} 
m_{leg} = 0.0465 \times m_{total}
\end{equation}

\begin{equation} 
m_{foot} = 0.0145 \times m_{total}
\end{equation}

\begin{equation} 
    \begin{aligned}
        P_{half_com_f30} = (m_{foot} \times P_{foot_{com_{f30}}} + m_{leg} \times P_{leg_{com_{f30}}} \\
        + m_{thigh} \times P_{thigh_{com_{f30}}} + 0.5 \times m_{HAT} \times P_{HAT_{com_{f30}}}(1))/(m_{total} \times 0.5) \label{eq:24} \\
    \end{aligned}
\end{equation}

\begin{equation} 
X_{com_{f30}} = (X_{right_{com_{f30}}} + X_{left_{com_{f30}}}) \times 0.5  \label{eq:25} \\
\end{equation}

\begin{equation} 
Y_{com_{f30}} = (Y_{right_{com_{f30}}} + Y_{left_{com_{f30}}}) \times 0.5  \label{eq:26} \\
\end{equation}

\begin{equation} 
P_{com_{f30}} = [X_{com_{f30}}, Y_{com_{f30}}]^{T}
\end{equation}

\begin{equation} 
P_{left_{thigh_{com_{f30}}}} = [0.7286, 0.1821]^{T} m
\end{equation}

\begin{equation} 
P_{left_{leg_{com_{f30}}}} = [0.9206, 0.3781]^{T} m
\end{equation}

\begin{equation} 
P_{left_{foot_{com_{f30}}}} = [1.0626, 0.6611]^{T} m
\end{equation}

\begin{equation} 
P_{com_{f30}} = [1.049890, 0.9078855]^{T} m
\end{equation}

